Bug 430353 - Can't set keyboard layout - it is ignored and left to default US
Can't set keyboard layout - it is ignored and left to default US
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 14:35 EST by Valent Turkovic
Modified: 2008-06-04 03:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 03:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
works ok (43.16 KB, image/png)
2008-02-09 09:03 EST, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-01-26 14:35:38 EST
Description of problem:

Keyboard layout chooser in gnome doesn't work. I deleted xorg.conf file and that
defaults keyboard to US layout and I need Croatian, obviously. In Fedora 8
setting it to Croatian layout switches to Croatia layout immediately and in
Rawhide is stays on US layout.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valent Turkovic 2008-01-28 18:47:06 EST
If on gdm screen I don't login but instead go to console with CTRL+ALT+F1 I have
croatian layout there.
Comment 2 Valent Turkovic 2008-01-29 09:48:47 EST
it is strange, when I switch in console form gnome via CTRL+ALT+F1 I have
croatian layout there and when I switch back with CTRL+ALT+F7 to gnome I have US
keyboard layout

/me puzzled
Comment 3 Valent Turkovic 2008-02-08 13:34:56 EST
when I start system-config-keyboard and try to switch keyboards this is what I get:

]# system-config-keyboard 
Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 228, in _okClicked
    return self.apply(None, false)
NameError: global name 'false' is not defined
Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 228, in _okClicked
    return self.apply(None, false)
NameError: global name 'false' is not defined



I have removed and reinstalled system-config-keyboard but I still get the same
error.
Comment 4 Matthias Clasen 2008-02-08 19:32:42 EST
Don't mix things together in one bug report. I'll take this as a complaint about
the keyboard capplet and ignore the s-c-keyboard part.

The keyboard capplet should be fixed with the gnome-settings-daemon that I built
yesterday, gnome-settings-daemon-2.21.90.1-3.fc9
Comment 5 Valent Turkovic 2008-02-09 08:59:36 EST
I still didn't hit updates...
Comment 6 Valent Turkovic 2008-02-09 09:01:55 EST
I'll install it from koji and report back
http://koji.fedoraproject.org/koji/buildinfo?buildID=34558
Comment 7 Valent Turkovic 2008-02-09 09:03:47 EST
Created attachment 294466 [details]
works ok

It is working ok now as you can see by the screenshot.

Thank you!
Comment 8 Valent Turkovic 2008-04-07 15:30:41 EDT
this bug is back with latest rawhide updates.
Comment 9 Bug Zapper 2008-05-14 00:53:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Valent Turkovic 2008-06-04 03:22:35 EDT
This works so I'm closing the bug.

Note You need to log in before you can comment on or make changes to this bug.